using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace NewsCrawler
{
	public partial class ModelessPopup : Form
	{
		NewsForm m_Owner = null;
		CodeList.CODE_VALUE m_Code;

		public ModelessPopup(NewsForm Owner)
		{
			m_Owner = Owner;

			InitializeComponent();
		}

		public void SetMessage(string strMsg, CodeList.CODE_VALUE Code)
		{
			m_Code = Code;

			tbMsg.Text = "";
			foreach(string strLine in strMsg.Split('\n'))
				tbMsg.Text += strLine + Environment.NewLine;
		}

		private void btnYes_Click(object sender, EventArgs e)
		{
			m_Owner.OnManualItemBuy(m_Code);
			this.Close();
		}

		private void btnCancel_Click(object sender, EventArgs e)
		{
			this.Close();
		}
	}
}
